#include<iostream>
using namespace std;
int main()
{
    long long v, brojN=0, cifra;
    cin >> v;
    while(v!=0)
    {
        cifra = v%10;
        switch(cifra)
        {

            case 1:brojN+=1;break;
            case 2:brojN+=1;break;
            case 3:brojN+=2;break;
            case 4:brojN+=2;break;
            case 5:brojN+=1;break;
            case 6:brojN+=2;break;
            case 7:brojN+=2;break;
            case 8:brojN+=3;break;
            case 9:brojN+=3;break;
        }
        v=v/10;
    }
    cout << brojN << endl;
    return 0;
}